Name: diablo
Version: 2.0_REL
Release: 7
Summary: An extremely efficient backbone news transit system.
Copyright: Redistributable
Group: System Environment/Daemons
Source: http://apollo.backplane.com/diablo/diablo-2.0-REL.tgz
URL: http://apollo.backplane.com/diablo/
BuildRoot: /var/tmp/%{name}-%{version}
BuildPreReq: xmake
Prereq: xmake

%description
Diablo is a backbone news transit system, designed to replace INND on
backbone machines.  The transit portion of Diablo is well-established
and should work flawlessly; if you have a dedicated newsfeed machine
which does feeds, feed and nothing but feeds, Diablo may be for you.
You can't run the transit server portion of Diablo on a machine which
needs to accept NNTP post commands or newsreading-related NNTP
commands and you can't point your NNTP sever at a host running the
transit portion of Diablo.

%prep
%setup -q -n diablo-2.0-REL

%build
xmake clean
xmake

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_mandir}/man{5,8}
mkdir -p $RPM_BUILD_ROOT/news/{adm,samples/adm,dbin,spool/{news,cache,group,postq},dqueue}

for i in dbin/* samples/* samples/*/*
  do
  [ -f $i ] && install -m 444 $i $RPM_BUILD_ROOT/news/$i
  if [ -x $i -a ! -d $i ]; then
    echo $i | grep dbin && strip $RPM_BUILD_ROOT/news/$i
    chmod 755 $RPM_BUILD_ROOT/news/$i
  fi
done

pushd $RPM_BUILD_ROOT/news/adm
for i in `cd ../samples/adm; ls`
	do ln -sf ../samples/adm/$i $i
done
popd

pushd $RPM_BUILD_ROOT/news
for i in dactive.kp dcontrol.ctl dexpire.ctl \
         diablo.config diablo.hosts dnewsfeeds dnntpspool.ctl dreader.access \
         dserver.hosts moderators pgp-sample distrib.pats
  do [ ! -f $RPM_BUILD_ROOT/news/$i ] \
       && ln -s samples/$i $i
done 

ln -sf samples/adm/rc.news rc.news
popd

for i in man/*
  do install -m 644 $i $RPM_BUILD_ROOT%{_mandir}/man${i##*.}
done

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc COPYRIGHT INSTALL README.READER README.SERVER 
%doc RELEASE_NOTES TUNING_NOTES
%attr(-,news,news) /news
%{_mandir}/*/*

%changelog
* Tue Aug 1 2000 Tim Powers <timp@redhat.com>
- fixed bug #15030, made relative symlinks

* Mon Jul 24 2000 Prospector <prospector@redhat.com>
- rebuilt

* Sat Jul 22 2000 Tim Powers <timp@redhat.com>
- fixed missing BuildPreReq

* Wed Jul 19 2000 Tim Powers <timp@redhat.com>
- rebuilt against glibc-2.1.91-15

* Mon Jul 10 2000 Tim Powers <timp@redhat.com>
- rebuilt

* Tue Jun 6 2000 Tim Powers <timp@redhat.com>
- fixed so that regular users can build
- man pages in correct location

* Fri Jan 7 2000 Tim Powers <timp@redhat.com>
- updated to 1.27
- gzip manpages
- built for 6.2

* Mon Jul 12 1999 Tim Powers <timp@redhat.com>
- moved changelog to bottom for consistancy
- added %defattr
- updated version
- built for 6.1

* Fri Apr 23 1999 Bill Nottingham <notting@redhat.com>
- package for powertools

* Tue Nov 3 1998  Ian Macdonald <ianmacd@xs4all.nl>
- first RPM release
